Join FlipAndroid.COM Telegram Group: https://t.me/joinchat/F_aqThGkhwcLzmI49vKAiw


Tag: Android estudio

Gradle segunda generación falla después de modificar styles.xml

He migrado mi proyecto para usar Gradle (usando la vieja estructura del proyecto de Android). Recientemente he actualizado Android Studio a v0.2, que me obligó a utilizar Android gradle plugin v0.5. Soy capaz de construir mi proyecto utilizando cualquiera de los sabores que he definido, ya sea en depuración / lanzamiento. Algo va mal para […]

MAVEN SDK no válido: Nivel de plataforma / API 16 no disponible

Tengo una aplicación androide de trabajo en mi Android Studio (Windows) y estoy tratando de crear un apklib con MAVEN para el proyecto. Cuando ejecuto la compilación en MAVEN (3.0.5) consigo el mensaje de error siguiente: Failed to execute goal com.jayway.maven.plugins.android.generation2:android-maven-plugin:3.6.0:generate-sources (default-generate-sources) on project userprofile: Execution default-generate-sources of goal com.jayway.maven.plugins.android.generation2:android-maven-plugin:3.6.0:generate-sources failed: Invalid SDK: Platform/API level […]

Android Studio y Kotlin: Referencia sin resolver: también

También compila y corre desde Android Studio: val greeted = "World".also { println("Hello $it") } Sin embargo, el editor destaca also y como errores y no dan ninguna ayuda con Intellisense. Aplicar todavía funciona y cuando voy a la fuente puedo ver la definición de ambos se apply y also . ¿Cómo puedo obtener Android […]

Android Studio 1.1, instalación de prueba junit simple

He leído alrededor, hay una serie de respuestas extensas (como esta ), pero el mundo Android evoluciona tan rápido que parece ser un poco anticuado y la documentación oficial todavía se refiere a Eclipse con ADT. Estoy corriendo AS 1.1 y estoy tratando de configurar simples junit pruebas para ejecutar en el emulador, sin Robolectric. […]

Instalación de HAXM en Windows 10 para Android Studio

Android Studio me dijo que para instalar HAXM, así que lo descargé y cuando fui a instalar, dijo que This computer does not support Intel Virtualization Technology . Después de una cierta búsqueda, encontré que si desmarca Hyper-V en el panel de control, todo estará bien. El problema que estoy enfrentando es, ni siquiera está […]

Permisos de geolocalización insuficientes

Estoy trabajando en un proyecto de Android. Básicamente, estoy tratando de ejecutar WebView que muestra Google Maps. Quería mostrar mi propia ubicación, pero cuando presiono el botón para esto, tengo excepciones como: 11-18 17:29:56.237 7678-7678/com.example.ali.bellsolution E/LocationProvider: Caught security exception while registering for location updates from the system. The application does not have sufficient geolocation permissions. […]

Descarga de Android Studio durante la instalación

Quería instalar Android Studio, ya que soy nuevo en la programación de Android, pero después de la instalación inicial, descarga los paquetes sooooo lentamente en comparación con las descargas normales en mi internet en casa. Cosas que he probado: Instalando paquetes a través del gestor de SDK pero la velocidad de descarga es la misma, […]

Android Studio en un hardware que no admite tecnología de virtualización

Utilizo Android Studio en Ubuntu Linux en una máquina que no admite tecnología de virtualización. Android Studio requiere que KVM esté instalado para ejecutar emuladores, pero no puedo hacerlo debido a la limitación de hardware mencionada anteriormente. ¿Hay alguna opción para mí para superar este problema (utilizando el mismo hardware)?

Cómo resolver Session 'app': error?

Estoy haciendo una aplicación en el estudio android. He utilizado la integración de facebook en it.While ejecutar esta aplicación estoy recibiendo un error 11:02:14 AM Session 'app': running 11:02:19 AM Session 'app': error Y la aplicación deja de ejecutarse. No obtuve ninguna solución incluso después de una gran cantidad de búsqueda. Así que por favor, […]

Kotlin apply () mensaje de extensión de la pelusa en Android Studio 3.0-alpha8

Hola queridos Stackoverflow iguales! Tengo código siguiente que produce el error de la pelusa del followin. fun newInstance(message: String?): DialogFragment { return DialogFragment().apply { arguments = Bundle().apply { putString("arg", message) } } } El mensaje señala que this referencia dentro de apply() apunta a la clase BaseBundle que está disponible desde la API 21 que […]

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.